package com.fjhx.purchase.service.purchase;

import com.fjhx.purchase.entity.purchase.po.PurchaseDetail;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.purchase.vo.PurchaseDetailVo;
import com.fjhx.purchase.entity.purchase.dto.PurchaseDetailSelectDto;
import com.fjhx.purchase.entity.purchase.dto.PurchaseDetailDto;

import java.util.List;


/**
 * <p>
 * 采购明细 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-06
 */
public interface PurchaseDetailService extends BaseService<PurchaseDetail> {

    /**
     * 采购明细分页
     */
    Page<PurchaseDetailVo> getPage(PurchaseDetailSelectDto dto);

    /**
     * 采购明细明细
     */
    PurchaseDetailVo detail(Long id);

    /**
     * 采购明细新增
     */
    void add(PurchaseDetailDto purchaseDetailDto);

    /**
     * 采购明细编辑
     */
    void edit(PurchaseDetailDto purchaseDetailDto);

    /**
     * 采购明细删除
     */
    void delete(Long id);

    /**
     * 获取外销合同总采购量
     * @return
     */
    List<PurchaseDetailVo> getSumCountInDataResourceId(List<Long> dataResourceIds);

    /**
     * 获取外销合同总采购量审批通过的
     * @return
     */
    List<PurchaseDetailVo> getSumCountInDataResourceIds(List<Long> dataResourceIds);


}
